Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSDestinationMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, JMSConstants, JMSDestCommonMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  JMSQueueMBean, JMSTopicMBean

Deprecated. 9.0.0.0 Replaced by `DestinationBean`

public interface JMSDestinationMBean
extends JMSDestCommonMBean, JMSConstants

This class represents a JMS destination, which identifies a queue (Point-To-Point) or a topic (Pub/Sub) for a JMS server.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from interface weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, ALWAYSFORWARD, AT_LEAST_ONCE, AT_MOST_ONCE, AUTH_PRINS, CONSUMPTION_ENABLED, CONSUMPTION_PAUSED, CONSUMPTION_PAUSING, DEFAULT_MESSAGE_BUFFER_SIZE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISABLED, DISCARD, ENABLED, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, EXACTLY_ONCE, EXPORT_TO_ALL, EXPORT_TO_NONE, FIFO, INITIALCONTEXTFACTORY, INSERTION_ENABLED, INSERTION_PAUSED, INSERTION_PAUSING, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NEVER, NO_DELIVERY, NON_PERSISTENT, NON_XML, PAUSED_AT_STARTUP_DEFAULT, PAUSED_AT_STARTUP_FALSE, PAUSED_AT_STARTUP_TRUE, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, PRODUCTION_ENABLED, PRODUCTION_PAUSED, PRODUCTION_PAUSING, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SUPPORTS, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TOPIC_SUBSCRIBER_ONLY, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA, UNITOFORDER_STANDARD, UNITOFORDER_SYSTEM, XML, XMLALL`

Method Summary
`String` | `getBytesPagingEnabled()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`
`String` | `getJNDIName()` Deprecated. The JNDI name used to look up the destination within the JNDI namespace.
`String` | `getMessagesPagingEnabled()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`
`String` | `getStoreEnabled()` Deprecated. Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.
`JMSTemplateMBean` | `getTemplate()` Deprecated. The JMS template from which the destination is derived.
`boolean` | `isJNDINameReplicated()` Deprecated. Indicates whether the JNDI name is replicated across the cluster.
`void` | `setBytesPagingEnabled(String enabled)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`
`void` | `setJNDIName(String name)` Deprecated. Sets the value of the JNDIName attribute.
`void` | `setJNDINameReplicated(boolean replicated)` Deprecated. Sets the value of the JNDINameReplicated attribute.
`void` | `setMessagesPagingEnabled(String enabled)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`
`void` | `setStoreEnabled(String storeEnabled)` Deprecated. Sets the value of the StoreEnabled attribute.
`void` | `setTemplate(JMSTemplateMBean template)` Deprecated. Sets the value of the Template attribute.

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getExpirationLoggingPolicy, getExpirationPolicy, getMaximumMessageSize, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setCreationTime, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setExpirationLoggingPolicy, setExpirationPolicy, setMaximumMessageSize, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getBytesPagingEnabled

    public String getBytesPagingEnabled()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`

  This parameter has been deprecated. Paging is always enabled. The "MessageBufferSize" parameter on JMSServerMBean controls how much memory is used before paging kicks in.

### getJNDIName

    public String getJNDIName()

  Deprecated.

  The JNDI name used to look up the destination within the JNDI namespace. If not specified, the destination name is not advertised through the JNDI namespace and cannot be looked up and used.

  Note: This attribute is not dynamically configurable.

### getMessagesPagingEnabled

    public String getMessagesPagingEnabled()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`

  This parameter has been deprecated. Paging is always enabled. The "MessageBufferSize" parameter on JMSServerMBean controls how much memory is used before paging kicks in.

### getStoreEnabled

    public String getStoreEnabled()

  Deprecated.

  Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.

  Supported values are:

  - default

    - The destination uses the JMS store defined for the JMS server, if one is defined, and supports persistent messaging. However, if a JMS store is not defined for the JMS server, then persistent messages are automatically downgraded to non-persistent.

  - false

    - The destination does not support persistent messaging.

  - true

    - The destination does support persistent messaging. However, if a JMS store is not defined for the JMS server, then the configuration will fail and the JMS server will not boot.

  Note: This attribute is not dynamically configurable.

### getTemplate

    public JMSTemplateMBean getTemplate()

  Deprecated.

  The JMS template from which the destination is derived. If a JMS template is specified, destination attributes that are set to their default values will inherit their values from the JMS template at run time. However, if this attribute is not defined, then the attributes for the destination must be specified as part of the destination.

  Note: The Template attribute setting per destination is static. The JMS template's attributes, however, can be modified dynamically.

  A dynamic MBean attribute.
    false

### isJNDINameReplicated

    public boolean isJNDINameReplicated()

  Deprecated.

  Indicates whether the JNDI name is replicated across the cluster. If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster. If JNDINameReplicated is set to false, then the JNDI name for the destination (if present) is only visible from the server of which this destination is a part.

### setBytesPagingEnabled

    public void setBytesPagingEnabled(String enabled)
                               throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`

  Sets the value of the BytesPagingEnabled attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBytesPagingEnabled()`
  Default value:
    JMSConstants.ENABLED_DEFAULT
  Legal values:
    JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE
  A dynamic MBean attribute.
    false

### setJNDIName

    public void setJNDIName(String name)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the JNDIName attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJNDIName()`
  A dynamic MBean attribute.
    false

### setJNDINameReplicated

    public void setJNDINameReplicated(boolean replicated)
                               throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the JNDINameReplicated attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isJNDINameReplicated()`
  Default value:
    true
  A dynamic MBean attribute.
    false

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(String enabled)
                                  throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.JMSServerMBean#MessageBufferSize`

  Sets the value of the MessagesPagingEnabled attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMessagesPagingEnabled()`
  Default value:
    JMSConstants.ENABLED_DEFAULT
  Legal values:
    JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE
  A dynamic MBean attribute.
    false

### setStoreEnabled

    public void setStoreEnabled(String storeEnabled)
                         throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the StoreEnabled attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getStoreEnabled()`
  Default value:
    JMSConstants.ENABLED_DEFAULT
  Legal values:
    JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE
  A dynamic MBean attribute.
    false

### setTemplate

    public void setTemplate(JMSTemplateMBean template)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the Template attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTemplate()`
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD